Subject: Clisp & VAX/VMS

From: Erkki Ruohtula <[email-masked]>
Date: Thu, 8 Sep 1994 11:27:55 +0300

Hello,

I would like to hear opinions about how hard it would be to
get Clisp running on VAX/VMS. I seem to recall that at one point
clisp sources had some VMS-related code, but apparently it
never was finished, and was later removed. Was it due to
lack of interest, or because of some hard technical obstacle?

Clisp has support for VAX/unix. If we assume that the VMS port
of GCC 2.X is always available to someone who wishes to compile
Clisp, this should simplify things. No need to worry about the quirks
of VAX-C. Besides GCC for VMS employs as its last pass a port of
the GAS assembler with unix-style syntax, so VAX inline assembly things
should in theory work unmodified. Porting the "readline"
stuff (which involves TTY modes that are entirely different on VMS)
could be initially forgotten, because VMS has a simple built-in
command-line editor. Are there any other serious system dependencies?

Erkki